pub struct ServerConfig {
    pub ip: String,
    pub port: u16,

    pub ips_filter: bool,
    pub private_ips: bool,
    pub ips: Vec<String>,

    pub api_key: Option<String>,
}

impl Default for ServerConfig {
    fn default() -> Self {
        ServerConfig {
            ip: "127.0.0.1".to_string(),
            port: 8080,

            ips_filter: false,
            private_ips: false,
            ips: Vec::new(),

            api_key: None,
        }
    }
}
